package csa.tiletools.worldgen.heroextant.maptoolkit.data;

import csa.tiletools.worldgen.heroextant.maptoolkit.util.Point;


public interface ConstMapData<T> {
    T getData(Point p);

    T getData(int x, int y);

    T getData(int x, int y, T valueIfNull);

    int getWidth();

    int getHeight();

    String debugGetName();

    String debugGetText(int x, int y);

    double debugGetTint(int x, int y);
}
